%define  major         8
%define  libname       %mklibname wcs %{major}
%define  libname_virt  libwcs
%define  develname     %mklibname wcs -d

Name:    wcslib
Version: 8.2.2
Release: %mkrel 1
Summary: An implementation of the FITS World Coordinate System standard

Group:   Sciences/Astronomy
# Library is under LGPLv3+ utils under GPLv3+
License: LGPLv3+
URL:     https://www.atnf.csiro.au/people/mcalabre/WCS/
Source0: https://www.atnf.csiro.au/people/mcalabre/WCS/wcslib-%{version}.tar.bz2
Patch0:  increase_tspx_test_tol.patch

BuildRequires: flex
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(zlib)
BuildRequires: gcc-gfortran

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS)
convention in FITS (Flexible Image Transport System).

%package -n %{libname}
Summary: An implementation of the FITS World Coordinate System standard
Group: Sciences/Astronomy
License: LGPLv3+
Provides: wcslib = %{version}-%{release}

%description -n %{libname}
WCSLIB is a library that implements the "World Coordinate System" (WCS)
convention in FITS (Flexible Image Transport System).

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
Provides: wcslib-devel = %{version}-%{release}

%description -n %{develname}
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility programs provided by %{name}
Group: Sciences/Astronomy
License: GPLv3+
Requires: wcslib = %{version}-%{release}

%description utils
Utils provided with %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-fortran=gfortran
%__make

%install
%make_install
# fix permissions
rm -rf %{buildroot}%{_docdir}/wcslib{,-%{version}}
chmod 755 %{buildroot}%{_includedir}/wcslib-%{version}
find %{buildroot} -name '*.a' -delete

%check
%ifnarch armv7hl armv5tl
# Don't parallelize
#make check
%endif

%files -n %{libname}
%license COPYING.LESSER
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%license COPYING.LESSER
%doc html wcslib.pdf
%{_libdir}/*.so
%{_libdir}/pkgconfig/wcslib.pc
%{_includedir}/wcslib
%{_includedir}/wcslib-%{version}/

%files utils
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Dec 24 2023 wally <wally> 8.2.2-1.mga10
+ Revision: 2021119
- new version 8.2.2
- new lib major 8

* Sun Dec 04 2022 eatdirt <eatdirt> 7.12-1.mga9
+ Revision: 1917879
- Update to version 7.12

* Sun Dec 04 2022 daviddavid <daviddavid> 7.11-2.mga9
+ Revision: 1917716
- rebuild for new cfitsio 4.2.0

* Fri Aug 26 2022 eatdirt <eatdirt> 7.11-1.mga9
+ Revision: 1880534
- Update to version 7.11

* Sat Apr 02 2022 umeabot <umeabot> 7.7-2.mga9
+ Revision: 1840922
- Mageia 9 Mass Rebuild

* Sat Jan 29 2022 eatdirt <eatdirt> 7.7-1.mga9
+ Revision: 1770491
- Upgrade to version 7.7

* Thu Jun 17 2021 joequant <joequant> 7.6-1.mga9
+ Revision: 1731013
- update to 7.6

* Thu Jul 23 2020 daviddavid <daviddavid> 7.3-2.mga8
+ Revision: 1608165
- rebuild for new cfitsio 3.480

* Tue Jun 09 2020 joequant <joequant> 7.3-1.mga8
+ Revision: 1591310
- update to 7.3

* Fri Mar 27 2020 daviddavid <daviddavid> 6.4-2.mga8
+ Revision: 1560901
- rebuild for new cfitsio 3.470

* Mon Feb 24 2020 daviddavid <daviddavid> 6.4-1.mga8
+ Revision: 1550089
- new version: 6.4

* Sat Feb 15 2020 umeabot <umeabot> 6.2-2.mga8
+ Revision: 1525423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Apr 17 2019 eatdirt <eatdirt> 6.2-1.mga7
+ Revision: 1391964
- Upgrade to version 6.2

* Sun Sep 23 2018 umeabot <umeabot> 5.15-5.mga7
+ Revision: 1301656
- Mageia 7 Mass Rebuild

* Fri Jul 27 2018 pterjan <pterjan> 5.15-4.mga7
+ Revision: 1245593
- Fix build on aarch64 and some configure warnings

* Sun May 13 2018 daviddavid <daviddavid> 5.15-3.mga7
+ Revision: 1228732
- rebuild for new cfitsio 3.450

* Tue Nov 22 2016 eatdirt <eatdirt> 5.15-2.mga6
+ Revision: 1068802
- Disable checks for armv5tl

* Tue Nov 22 2016 eatdirt <eatdirt> 5.15-1.mga6
+ Revision: 1068758
- Upgrade to 5.15

* Tue Jun 28 2016 pterjan <pterjan> 5.14-3.mga6
+ Revision: 1038003
- Disable tests on armv7hl for now

* Sat Mar 12 2016 pterjan <pterjan> 5.14-2.mga6
+ Revision: 989523
- Add a Debian patch relaxing a test failing on arm

* Wed Mar 09 2016 eatdirt <eatdirt> 5.14-1.mga6
+ Revision: 988588
- Upgrade to version 5.14
- Upgrade to version 5.14

* Wed Feb 17 2016 umeabot <umeabot> 4.25.1-2.mga6
+ Revision: 963240
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 joequant <joequant> 4.25.1-1.mga6
+ Revision: 854016
- upgrade to 4.25.1

* Wed Oct 15 2014 umeabot <umeabot> 4.23-4.mga5
+ Revision: 741310
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.23-3.mga5
+ Revision: 690279
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 eatdirt <eatdirt> 4.23-2.mga5
+ Revision: 643269
- Enable fortran wrappers
- Upgrade to version 4.23

* Thu Feb 27 2014 eatdirt <eatdirt> 4.18-3.mga5
+ Revision: 597685
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 4.18-2.mga4
+ Revision: 530603
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 4.18-1.mga4
+ Revision: 458524
- do not parallel make check
- update to 4.18
- update to 4.18
- remove %%excludes and clean up rpm execution
- imported package wcslib

